<div style="display: block;width: 100%; border-radius: 10px" class="card">
    <canvas height="364" *ngIf="dataLoaded" baseChart width="400" height="364" [datasets]="lineChartData" [labels]="lineChartLabels"
        [options]="lineChartOptions" [colors]="lineChartColors" [legend]="lineChartLegend" [chartType]="lineChartType"
        [plugins]="lineChartPlugins" >
    </canvas>
</div>
 
<div class="chart-values" style="display: none;" *ngIf="dataLoaded">
    <span *ngFor="let m of monthsInCharts" (click)="handleParentMonth(m.value)">{{m.value}}</span>
</div>